from data_process import pre_process,process, standard_data_process
from models.project_data import ProjectModel


def process_project(project: ProjectModel) -> bool:
    """
    分析处理数据
    :param project: 项目
    :return: None
    """
    if _pre_process_data(project):
        if process_data(project):
            return True
        else:
            return False
    else:
        return False


def _pre_process_data(project: ProjectModel) -> bool:
    """
    预处理数据
    :param project: 项目
    :return: None
    """
    return pre_process.PreProcess().run(project)

def process_data(project: ProjectModel) -> bool:
    """
    处理数据
    :param project: 项目编号
    :return: None
    """
    return process.Process().run(project)
def process_standard_data(version: str) -> None:
    """
    处理标准数据
    :param version: 标准版本
    :return: None
    """
    standard_data_process.StandardDataProcess().run(version)
