-- 创建数据库
CREATE DATABASE IF NOT EXISTS iwb_data_middleware_dev CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;
USE iwb_data_middleware_dev;

-- 创建 SourceData 表
CREATE TABLE IF NOT EXISTS project (
    id INT AUTO_INCREMENT PRIMARY KEY,
    project_no VARCHAR(255) NOT NULL,
    INDEX idx_project_no (project_no),
    project_name VARCHAR(255),
    work_catalog VARCHAR(255),
    work_content VARCHAR(255),
    standard_version VARCHAR(50),
    status TINYINT DEFAULT 0,
    completion_tokens INT DEFAULT 0,
    prompt_tokens INT DEFAULT 0,
    total_tokens INT DEFAULT 0,
    is_del TINYINT DEFAULT 0,
    delete_time DATETIME,
    update_time DATETIME,
    create_time DATETIME
) CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;

-- 创建 SourceItemData 表
CREATE TABLE IF NOT EXISTS project_item (
    id INT AUTO_INCREMENT PRIMARY KEY,
    project_id int NOT NULL,
    device_name VARCHAR(255) NOT NULL,
    device_model VARCHAR(255) ,
    device_unit VARCHAR(50) ,
    device_count FLOAT DEFAULT 0,
    standard_version VARCHAR(50),
    standard_no VARCHAR(255) ,
    remark TEXT,
    update_time DATETIME 
) CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;

-- 创建 StandardData 表
CREATE TABLE IF NOT EXISTS standard_data (
    id INT AUTO_INCREMENT PRIMARY KEY,
    device_name VARCHAR(255),
    device_model VARCHAR(255),
    device_unit VARCHAR(50) ,
    standard_version VARCHAR(50),
    standard_no VARCHAR(255),
    create_time DATETIME,
    update_time DATETIME,
    remark TEXT
) CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;

-- 创建 StandardUpdateLog 表
CREATE TABLE IF NOT EXISTS standard_update_log (
    id INT AUTO_INCREMENT PRIMARY KEY,
    project_id int,
    device_name VARCHAR(255) ,
    device_model VARCHAR(255),
    device_unit VARCHAR(50) ,
    standard_version VARCHAR(50),
    new_standard_no VARCHAR(255) ,
    old_standard_no VARCHAR(255) ,
    create_time DATETIME 
) CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci;