function addNewItem(project_id) {
	const table = document.querySelector('table.table tbody')
	const rows = table.querySelectorAll('tr.edit-mode')
	rows.forEach((row) => row.classList.remove('edit-mode'))

	const newRow = document.createElement('tr')
	newRow.classList.add('edit-mode')
	newRow.innerHTML = `
        <td class="editable name"><span class="edit"><input type="text" class="form-control" placeholder="名称"> </span></td>
        <td class="editable model"><span class="edit"><input type="text" class="form-control" placeholder="规格型号"> </span></td>
        <td class="editable count"><span class="edit"><input type="text" class="form-control" placeholder="数量"> </span></td>
        <td class="editable unit"><span class="edit"><input type="text" class="form-control" placeholder="单位"> </span></td>
        <td class="editable standard_no"><span class="edit"><input type="text" class="form-control" placeholder="标准编号"></span>
        </td>
        <td class="editable tool">
            <span class="show"></span>
            <span class="edit">
                <button class="btn btn-success" onclick="saveItemCreate(this.parentNode.parentNode.parentNode,'${project_id}')">确定</button>
                <button class="btn btn-warning" onclick="cancelNewChanges(this.parentNode.parentNode.parentNode)">取消</button>
            </span>
        </td>
    `
	table.insertBefore(newRow, table.firstChild)
}

function saveItemCreate(row, project_id) {
	const deviceName = row.querySelector('td.name input').value
	const deviceModel = row.querySelector('td.model input').value
	const deviceUnit = row.querySelector('td.unit input').value
	const deviceCount = row.querySelector('td.count input').value
	const standardNo = row.querySelector('td.standard_no input').value
	if (deviceName === '') {
		alert('名称不能为空')
		return
	}
	if (deviceModel === '') {
		alert('规格型号不能为空')
		return
	}
	if (deviceCount === '') {
		alert('数量不能为空')
		return
	}
	if (deviceUnit === '') {
		alert('单位不能为空')
		return
	}
	// if (standardNo === '') {
	//     alert('标准编号不能为空');
	//     return;
	// }

	fetch(`/add_project_item`, {
		method: 'POST',
		headers: {
			'Content-Type': 'application/json',
		},
		body: JSON.stringify({ project_id: project_id, device_name: deviceName, device_model: deviceModel, device_unit: deviceUnit, device_count: deviceCount, standard_no: standardNo }),
	})
		.then((response) => response.json())
		.then((data) => {
			if (data.success) {
				alert('添加成功')
				window.location.href = `/project_item_list/${project_id}`
			} else {
				alert('添加失败:' + data.error)
			}
		})
		.catch((error) => {
			console.error('添加失败:', error)
			alert('添加失败')
		})
}

function saveItemEdit(row, itemId) {
	const deviceName = row.querySelector('td.name input').value
	const deviceModel = row.querySelector('td.model input').value
	const standardNo = row.querySelector('.standard_no input').value
	const deviceUnit = row.querySelector('.unit input').value
	const deviceCount = row.querySelector('.count input').value
	// if (standardNo === '') {
	//     alert('标准编号不能为空');
	//     return;
	// }
	if (deviceCount === '') {
		alert('数量不能为空')
		return
	}
	if (deviceUnit === '') {
		alert('单位不能为空')
		return
	}
	fetch(`/update_data_item`, {
		method: 'POST',
		headers: {
			'Content-Type': 'application/json',
		},
		body: JSON.stringify({ id: itemId, device_name: deviceName, device_model: deviceModel, standard_no: standardNo, device_count: deviceCount, device_unit: deviceUnit }),
	})
		.then((response) => response.json())
		.then((data) => {
			if (data.success) {
				alert('保存成功')
				row.classList.remove('edit-mode')
				row.querySelector('.standard_no .show').textContent = standardNo
				// window.location.reload();
			} else {
				alert('保存失败:' + data.error)
			}
		})
		.catch((error) => {
			console.error('保存失败:', error)
			alert('保存失败')
		})
}

function confirmItemDelete(itemId) {
	if (confirm('确定要删除该设备吗？')) {
		fetch(`/delete_project_item/${itemId}`, {
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
		})
			.then((response) => response.json())
			.then((data) => {
				if (data.success) {
					alert('删除成功')
					// 删除对应的行
					const row = document.querySelector(`tr[data-id="${itemId}"]`)
					if (row) {
						row.remove()
					}
				} else {
					alert('删除失败:' + data.error)
				}
			})
			.catch((error) => {
				console.error('删除失败:', error)
				alert('删除失败')
			})
	}
}
