function addProject() {
	const editBox = document.querySelector('div.edit-box')
	const inputs = editBox.querySelectorAll('.form-control')
	inputs.forEach((input) => {
		input.value = ''
	})
	// 移除已存在的delete_old_data复选框
	const existingCheckbox = document.getElementById('delete_old_data')
	if (existingCheckbox) {
		existingCheckbox.parentNode.remove()
	}
	const file = document.getElementById('new_project_file').parentNode
	file.innerHTML = `<label for="new_project_file">项目数据：</label><input type="file" id="new_project_file" class="form-control" accept=".xlsx,.xls,.csv" multiple>`

	editBox.classList.add('show')
}

function updateProject(row, id) {
	document.getElementById('project_id').value = id
	document.getElementById('new_project_no').value = row.querySelector('.project_no .form-control').value
	document.getElementById('new_project_name').value = row.querySelector('.project_name .form-control').value
	const file = document.getElementById('new_project_file').parentNode
	file.innerHTML = `<label for="new_project_file">项目数据：</label><input type="file" id="new_project_file" class="form-control" accept=".xlsx,.xls,.csv" multiple>`
	// 移除已存在的delete_old_data复选框
	const existingCheckbox = document.getElementById('delete_old_data')
	if (existingCheckbox) {
		existingCheckbox.parentNode.remove()
	}
	const checkboxDiv = document.createElement('div')
	checkboxDiv.innerHTML = `<label for="delete_old_data">删除原数据：</label><input type="checkbox" id="delete_old_data" class="form-control" style="width: auto;flex: 0;">`
	file.parentNode.insertBefore(checkboxDiv, file.nextSibling)
	document.getElementById('new_work_catalog').value = row.querySelector('.work_catalog .form-control').value
	document.getElementById('new_work_content').value = row.querySelector('.work_content .form-control').value
	document.getElementById('new_standard_version').value = row.querySelector('.standard_version .form-control').value
	const editBox = document.querySelector('div.edit-box')
	editBox.classList.add('show')
}
function saveProject() {
	const id = document.getElementById('project_id').value
	const no = document.getElementById('new_project_no').value
	const name = document.getElementById('new_project_name').value
	const files = document.getElementById('new_project_file').files
	const catalog = document.getElementById('new_work_catalog').value
	const content = document.getElementById('new_work_content').value
	const version = document.getElementById('new_standard_version').value

	if (no === '') {
		alert('项目编号不能为空')
		return
	}
	if (name === '') {
		alert('项目名称不能为空')
		return
	}
	if (files.length === 0 && !id) {
		alert('请选择项目数据文件')
		return
	}
	if (catalog === '') {
		alert('工作目录不能为空')
		return
	}
	if (content === '') {
		alert('工作内容不能为空')
		return
	}

	const formData = new FormData()
	formData.append('id', id)
	formData.append('project_no', no)
	formData.append('project_name', name)
	for (let i = 0; i < files.length; i++) {
		formData.append('project_files', files[i])
	}
	formData.append('work_catalog', catalog)
	formData.append('work_content', content)
	formData.append('standard_version', version)
	if (document.getElementById('delete_old_data')){
		formData.append('delete_old_data', document.getElementById('delete_old_data').checked)
	}

	fetch('/save_project', {
		method: 'POST',
		body: formData,
	})
		.then((response) => response.json())
		.then((data) => {
			if (data.success) {
				alert('保存成功')
				window.location.reload()
			} else {
				alert('保存失败:' + data.error)
			}
		})
		.catch((error) => {
			console.error('保存失败:', error)
			alert('保存失败')
		})
}
function cancelAdd() {
	const editBox = document.querySelector('div.edit-box')
	editBox.classList.remove('show')
}

function saveProjectUpdate(row, id) {
	const no = row.querySelector('.project_no .form-control').value
	const name = row.querySelector('.project_name .form-control').value
	const work_catalog = row.querySelector('.work_catalog .form-control').value
	const work_content = row.querySelector('.work_content .form-control').value
	const version = row.querySelector('.standard_version .form-control').value
	if (no === '') {
		alert('名称不能为空')
		return
	}
	if (name === '') {
		alert('名称不能为空')
		return
	}
	if (version === '') {
		alert('版本不能为空')
		return
	}
	fetch('/update_project', {
		method: 'POST',
		headers: {
			'Content-Type': 'application/json',
		},
		body: JSON.stringify({
			id: id,
			project_no: no,
			project_name: name,
			work_catalog: work_catalog,
			work_content: work_content,
			standard_version: version,
		}),
	})
		.then((response) => response.json())
		.then((data) => {
			if (data.success) {
				alert('更新成功')
				window.location.reload()
			} else {
				alert('更新失败:' + data.error)
			}
		})
		.catch((error) => {
			console.error('更新失败:', error)
			alert('更新失败')
		})
}

function confirmStartTask(id){
	_confirm('确定要开始任务吗？',`/start_project_task/${id}`)
}

function confirmReStartTask(id){
	_confirm('确定要重新采集数据吗？',`/start_project_task/${id}`)
}

function confirmReProcessData(id){
	_confirm('确定要重新处理数据吗？',`/process_project/${id}`)
}

function confirmSendData(id) {
	_confirm('确定要开始上传数据吗？',`/send_project/${id}`)
}

function _confirm(text,url){
	if (confirm(text)) {
		fetch(url, {
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
		})
			.then((response) => response.json())
			.then((data) => {
				if (data.success) {
					alert('操作成功')
					window.location.reload()
				} else {
					alert('操作失败:' + data.error)
				}
			})
			.catch((error) => {})
	}
}


function confirmProjectDelete(id) {
	if (confirm('确定要删除该项目吗？')) {
		fetch(`/delete_project/${id}`, {
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
		})
			.then((response) => response.json())
			.then((data) => {
				if (data.success) {
					alert('删除成功')
					window.location.reload()
				} else {
					alert('删除失败:' + data.error)
				}
			})
			.catch((error) => {
				console.error('删除失败:', error)
				alert('删除失败')
			})
	}
}
